gnutls_session_get_master_secret(3)

NAME
gnutls_session_get_master_secret - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_session_get_master_secret(gnutls_session_t session, gnutls_datum_t * secret);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type.

gnutls_datum_t * secret
    the session's master secret

DESCRIPTION
This function returns pointers to the master secret used in the TLS session. The pointers are not to be modified or deallocated.

SINCE
3.5.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/